using System;

using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.WindowsMobile.PocketOutlook;

namespace TaskDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            #if DEBUG
                MinimizeBox = false;
            #else
                MinimizeBox = true;
            #endif
        }

        private void menuItemExit_Click(object sender, EventArgs e)
        {
            Close();
        }


        private void menuItemChangeTask_Click(object sender, EventArgs e)
        {
            // Создаем сессию Outlook
            using (OutlookSession _session = new OutlookSession())
            {
                TaskCollection taskFolder = _session.Tasks.Items;
                // Задача для изменения
                Task changeTask = null;

                // менять будем первую задачу
                changeTask = taskFolder[0];
                changeTask.Body = "Нужно не только позвонить Наташе, но и купить ей подарок";
                changeTask.Subject = "Для Наташи";
                changeTask.Update();
                _session.Dispose();
            }
        }

        private void menuItemGetAllTasks_Click(object sender, EventArgs e)
        {
            // Создаем сессию Outlook
            using (OutlookSession _session = new OutlookSession())
            {
                TaskCollection taskFolder = _session.Tasks.Items;
                // Получаем заголовки всех задач
                foreach (Task theTask in taskFolder)
                {
                    MessageBox.Show(theTask.Subject);
                }
                _session.Dispose();
            }
        }
    }
}